Summary:	X11 drawing tool
Summary(de.UTF-8):	X11-Zeichen-Tool
Summary(es.UTF-8):	Herramienta para diseño X11
Summary(fr.UTF-8):	Outil de dessin sous X11
Summary(pl.UTF-8):	Program do rysowania pod X11
Summary(pt_BR.UTF-8):	Ferramenta para desenho X11
Summary(ru.UTF-8):	Инструмент для рисования простой векторной графики
Summary(tr.UTF-8):	X11 çizim aracı
Summary(uk.UTF-8):	Інструмент для малювання простої векторної графіки
Name:		xfig
Version:	3.2.9
Release:	1
License:	Freeware
Group:		X11/Applications/Graphics
Source0:	https://downloads.sourceforge.net/mcj/%{name}-%{version}.tar.xz
# Source0-md5:	4a338b0e513baedc460e7c64852b0ed5
Patch1:		%{name}-3.2.5b-zoom-during-edit.patch
Patch3:		%{name}-3.2.5b-app-defaults.patch
Patch4:		%{name}-desktop.patch
URL:		https://mcj.sourceforge.net/
BuildRequires:	Xaw3d-devel
BuildRequires:	fontconfig-devel
BuildRequires:	ghostscript-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
Requires:	fig2dev >= 3.2.6
Requires:	netpbm-progs
Requires:	xorg-lib-libXt >= 1.0.0
Obsoletes:	xfig-doc < 3.2.3d-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%description
This program gives you all the features you need to create basic- to
intermediate-level vector graphics, including Bezier curves, lines,
rulers, and more.

%description -l de.UTF-8
Dieses Programm bietet sämtliche Funktionen, die Sie zum Erstellen von
elementaren und fortgeschrittenen Vektorgrafiken benötigen,
einschließlich Bezier-Kurven, Linien, Lineale und anderes.

%description -l es.UTF-8
Este programa ofrece todo lo que necesitas para crear gráficos con
vectores, incluyendo curvas, líneas, reglas, y más.

%description -l fr.UTF-8
Ce programme vous offre tout ce dont vous avez besoin pour créer des
graphiques vectoriels, de base à moyennement complexes. Il comprend
les courbes de Bézier, les lignes, les règles etc.

%description -l pl.UTF-8
Program xfig udostępnia wszystkie możliwości potrzebne do tworzenia
prostych i średniozaawansowanych grafik wektorowych składających się z
linie, krzywych Beziera i podobnych elementów.

%description -l pt_BR.UTF-8
Este programa oferece tudo o que você precisa para criar gráficos com
vetores, incluindo curvas, linhas, réguas, e mais.

%description -l ru.UTF-8
Xfig - это инструмент для создания базовой векторной графики, включая
кривые Безье, линии и многое другое. Полученную графику можно
сохранить, распечатать на PostScript принтерах или сконвертировать в
другие форматы (например, X11 bitmaps, Encapsulated PostScript,
LaTeX).

%description -l tr.UTF-8
Bu program, en temel olanlarından ileri düzeydekilere kadar tüm belli
başlı vektör grafikleri (doğrular, bezier eğrisi vs) çizebilmenize
olanak verir.

%description -l uk.UTF-8
Xfig - це інструмент для створення базової векторної графіки,
включаючи криві Без'є, лінії та інше. Отриману графіку можна зберегти,
роздрукувати на PostScript принтерах чи зконвертувати в інші формати
(наприклад, X11 bitmaps, Encapsulated PostScript, LaTeX).

%prep
%setup -q
%patch1 -p2
%patch3 -p1
%patch4 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a Libraries $RPM_BUILD_ROOT%{_datadir}/xfig
%{__rm} $RPM_BUILD_ROOT%{_datadir}/xfig/Libraries/*/README

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/xfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES FIGAPPS README doc/{FORMAT*,TODO,html}
%attr(755,root,root) %{_bindir}/xfig
%{_datadir}/xfig
%{_appdefsdir}/Fig
%{_mandir}/man1/xfig.1*
%{_pixmapsdir}/xfig.png
%{_desktopdir}/xfig.desktop
%changelog
* Sun Oct 29 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfig.git;a=log;h=master

* Sun Oct 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 81b5f8e
- updated to 3.2.9

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> de683cf
- updated to 3.2.8b

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 2a49c89
- cleanup, updated URLs, versioned Obsoletes

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 07d686d
- updated to 3.2.6a
- updated i18n,zoom-during-edit,urwfonts,app-defaults patches
- removed obsolete config,formatstring,pdfimport_mediabox,papersize_b1,network_images,mkstemp patches
- separate desktop and icon replaced by patch to upstream desktop file

* Thu Oct 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dfcb6ad
- up to 3.2.5c

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f63896a
- release 2 (by relup.sh)

* Fri Feb 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 31a09f3
- use __rm macro

* Fri Feb 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c330f9
- more verbose files in system dirs
- %{_datadir}/xfig dir belongs to transfig (which is required by xfig anyway)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8caa925
- fix patch name

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c8721f
- up to 3.2.5b

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 07f5d00
- release 7

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bfb0faf
- release 6

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c73201
- release 5

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> 713938a
- BR: xorg-lib-libXi-devel

* Fri Jul 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8eabe39
- release 4

* Sun Jan 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 10c0eba
- rel 3; build fix

* Sun Jan 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bfb97d4
- build fix for xaw3d 1.5 1E

* Thu Jan 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 283ad60
- xaw3d 5e is used

* Thu Jan 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a5078c8
- rel 2; add debian patches

* Thu Jan 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 25bfd54
- debian patches

